libosmogb 1.13.1.1-afb4 Osmocom Gb library

Data Fields
gprs_ns2_vc_bind Struct Reference

Structure repesenting a bind instance. More...

`#include <gprs_ns2_internal.h>`

## Data Fields
const char * | name
| unique name More...
struct llist_head | list
| list entry in nsi More...
struct llist_head | nsvc
| list of all VC More...
void * | priv
| driver private structure More...
struct gprs_ns2_inst * | nsi
| a pointer back to the nsi More...
struct gprs_ns2_vc_driver * | driver
bool | accept_ipaccess
bool | accept_sns
int | transfer_capability
| transfer capability in mbit More...
uint16_t | mtu
| MTU of a NS PDU on this bind. More...
enum gprs_ns2_ll | ll
| which link-layer are we based on? More...
int(* | send_vc )(struct gprs_ns2_vc *nsvc, struct msgb *msg)
| send a msg over a VC More...
void(* | free_vc )(struct gprs_ns2_vc *nsvc)
| free the vc priv data More...
void(* | dump_vty )(const struct gprs_ns2_vc_bind *bind, struct vty *vty, bool stats)
| allow to show information for the vty More...
uint8_t | sns_sig_weight
| the IP-SNS signalling weight when doing dynamic configuration More...
uint8_t | sns_data_weight
| the IP-SNS data weight when doing dynamic configuration More...
struct osmo_stat_item_group * | statg
bool | freed
| recursive anchor More...

## Detailed Description

Structure repesenting a bind instance.

E.g. IPv4 listen port.

## Field Documentation

## ◆ accept_ipaccess

bool gprs_ns2_vc_bind::accept_ipaccess

Referenced by DEFUN(), and ns2_create_vc().

## ◆ accept_sns

bool gprs_ns2_vc_bind::accept_sns

Referenced by DEFUN(), and ns2_create_vc_sns().

## ◆ driver

struct gprs_ns2_vc_driver* gprs_ns2_vc_bind::driver

Referenced by gprs_ns2_fr_bind(), gprs_ns2_fr_bind_netif(), gprs_ns2_fr_bind_role(), gprs_ns2_fr_nsvc_dlci(), gprs_ns2_free_bind(), gprs_ns2_frgre_bind(), gprs_ns2_ip_bind(), gprs_ns2_ip_vc_equal(), gprs_ns2_ip_vc_local(), gprs_ns2_ip_vc_remote(), gprs_ns2_is_fr_bind(), gprs_ns2_is_frgre_bind(), and gprs_ns2_is_ip_bind().

## ◆ dump_vty

void(* gprs_ns2_vc_bind::dump_vty) (const struct gprs_ns2_vc_bind *bind, struct vty *vty, bool stats)

allow to show information for the vty

Referenced by dump_bind(), gprs_ns2_fr_bind(), and gprs_ns2_ip_bind().

## ◆ free_vc

void(* gprs_ns2_vc_bind::free_vc) (struct gprs_ns2_vc *nsvc)

free the vc priv data

Referenced by gprs_ns2_fr_bind(), gprs_ns2_free_nsvc(), gprs_ns2_frgre_bind(), and gprs_ns2_ip_bind().

## ◆ freed

bool gprs_ns2_vc_bind::freed

recursive anchor

Referenced by gprs_ns2_free_bind().

## ◆ list

struct llist_head gprs_ns2_vc_bind::list

list entry in nsi

Referenced by gprs_ns2_free_bind(), and ns2_bind_alloc().

## ◆ ll

enum gprs_ns2_ll gprs_ns2_vc_bind::ll

which link-layer are we based on?

Referenced by create_missing_nsvcs(), create_nsvc_for_new_sbind(), DEFUN(), gprs_ns2_fr_bind(), gprs_ns2_frgre_bind(), gprs_ns2_ip_bind(), ns2_create_vc(), ns2_create_vc_sns(), ns2_vc_alloc(), ns2_vc_create_ip(), and ns_nse_nsvc_udp_cmds().

## ◆ mtu

uint16_t gprs_ns2_vc_bind::mtu

MTU of a NS PDU on this bind.

Referenced by gprs_n2_fr_mtu_chg_cb(), gprs_ns2_fr_bind(), gprs_ns2_frgre_bind(), gprs_ns2_ip_bind(), ns2_nse_update_mtu(), and ns2_tx_status().

## ◆ name

const char* gprs_ns2_vc_bind::name

unique name

Referenced by config_write_nsvc(), DEFUN(), gprs_ns2_bind_by_name(), gprs_ns2_free_bind(), and ns2_bind_alloc().

## ◆ nsi

struct gprs_ns2_inst* gprs_ns2_vc_bind::nsi

a pointer back to the nsi

Referenced by dump_ns_bind(), gprs_n2_fr_mtu_chg_cb(), gprs_ns2_bind_by_name(), gprs_ns2_fr_bind_by_netif(), gprs_ns2_fr_connect2(), gprs_ns2_free_bind(), gprs_ns2_free_binds(), gprs_ns2_frgre_bind(), gprs_ns2_ip_connect2(), ns2_bind_alloc(), ns2_create_vc(), ns2_create_vc_sns(), ns2_sns_update_weights(), ns2_vc_alloc(), and ns2_vc_create_ip().

## ◆ nsvc

struct llist_head gprs_ns2_vc_bind::nsvc

list of all VC

Referenced by create_missing_nsvcs(), dump_vty(), free_bind(), frgre_vc_sendmsg(), gprs_ns2_find_vc_by_dlci(), gprs_ns2_fr_nsvc_by_dlci(), gprs_ns2_free_bind(), gprs_ns2_frgre_bind(), gprs_ns2_nsvc_by_sockaddr_bind(), ns2_bind_alloc(), ns2_count_transfer_cap(), ns2_find_vc_by_dlci(), ns2_vc_alloc(), ns2_vc_create_ip(), and nsip_vc_sendmsg().

## ◆ priv

void* gprs_ns2_vc_bind::priv

driver private structure

Referenced by backlog_enqueue_or_free(), dump_vty(), enqueue_at_head(), enqueue_at_tail(), fr_alloc_vc(), fr_backlog_timer_cb(), fr_netif_ofd_cb(), fr_netif_write_one(), fr_tx_cb(), free_bind(), frgre_sendmsg(), frgre_vc_sendmsg(), gprs_n2_fr_ifupdown_ind_cb(), gprs_n2_fr_mtu_chg_cb(), gprs_ns2_fr_bind(), gprs_ns2_fr_bind_netif(), gprs_ns2_fr_bind_role(), gprs_ns2_fr_connect(), gprs_ns2_frgre_bind(), gprs_ns2_ip_bind(), gprs_ns2_ip_bind_set_dscp(), gprs_ns2_ip_bind_set_priority(), gprs_ns2_ip_bind_sockaddr(), gprs_ns2_ip_vc_equal(), gprs_ns2_ip_vc_local(), handle_rx_gre_ipv4(), handle_rx_gre_ipv6(), ns2_ip_set_txqueue_max_length(), and nsip_sendmsg().

## ◆ send_vc

int(* gprs_ns2_vc_bind::send_vc) (struct gprs_ns2_vc *nsvc, struct msgb *msg)

send a msg over a VC

Referenced by gprs_ns2_fr_bind(), gprs_ns2_frgre_bind(), gprs_ns2_ip_bind(), and ns_vc_tx().

## ◆ sns_data_weight

uint8_t gprs_ns2_vc_bind::sns_data_weight

the IP-SNS data weight when doing dynamic configuration

Referenced by dump_vty(), gprs_ns2_ip_bind_set_sns_weight(), ns2_add_procedure(), ns2_bind_alloc(), ns2_sns_add_elements(), ns2_sns_bss_valid_configuration(), ns2_update_weight_entry(), and remove_bind_elem().

## ◆ sns_sig_weight

uint8_t gprs_ns2_vc_bind::sns_sig_weight

the IP-SNS signalling weight when doing dynamic configuration

Referenced by dump_vty(), gprs_ns2_ip_bind_set_sns_weight(), ns2_add_procedure(), ns2_bind_alloc(), ns2_sns_add_elements(), ns2_sns_bss_valid_configuration(), ns2_update_weight_entry(), and remove_bind_elem().

## ◆ statg

struct osmo_stat_item_group* gprs_ns2_vc_bind::statg

Referenced by dump_bind(), enqueue_at_head(), enqueue_at_tail(), fr_backlog_timer_cb(), gprs_ns2_free_bind(), and ns2_bind_alloc().

## ◆ transfer_capability

int gprs_ns2_vc_bind::transfer_capability

transfer capability in mbit

Referenced by gprs_ns2_fr_bind(), gprs_ns2_frgre_bind(), gprs_ns2_ip_bind(), and ns2_count_transfer_cap().

The documentation for this struct was generated from the following file:

- src/gb/gprs_ns2_internal.h